> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizzy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Contact Details

## Request

#### Header

<ParamField header="Accept-Language" type="string" default="EN">
  * NL: Dutch - FR: French - EN: English
</ParamField>

#### Body

<ParamField path="companyContacts" type="array">
  <Expandable title="companyContact properties">
    <ResponseField name="company" type="object" required>
      <Expandable title="company properties">
        <ResponseField name="companyId" type="string" required>
          Obfuscated companyId returned by the search endpoint.
        </ResponseField>

        <ResponseField name="countryCode" type="string" required>
          Any supported country code — see [Supported countries](/api-reference/v2/supported-countries).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="contacts" type="array" required>
      <Expandable title="contact properties">
        <ResponseField name="contactId" type="string" required>
          contactId is the unique identifier you get from the contacts endpoint.
        </ResponseField>
      </Expandable>

      <Note>
        You can request up to 50 contacts per company at once.
      </Note>
    </ResponseField>
  </Expandable>

  <Note>
    You can request up to 100 companies at once.
  </Note>
</ParamField>

<ParamField path="enrichEmail" type="boolean" default="false">
  Option to enrich the contact with email address. (If available)<br />
  <Info>Enriching costs credits - see the [Credit usage section](../credits)</Info>
</ParamField>

<ParamField path="enrichMobilePhone" type="boolean" default="false">
  Option to enrich the contact with mobile phone number. (If available)
  <Info>Enriching costs credits - see the [Credit usage section](../credits)</Info>
</ParamField>

## Response

<ResponseField name="department" type="string[]">
  The available departments of the contact.<br />
  `department` is an array of the following values:

  <Accordion title="Available Departments">
    * `SOFTWARE_ENGINEERING`
    * `DATA_ANALYTICS`
    * `CLOUD_ENGINEERING`
    * `BIO_ENGINEERING`
    * `CHEMICAL_ENGINEERING`
    * `ENGINEERING`
    * `PROJECT_MANAGEMENT`
    * `PRODUCT_MANAGEMENT`
    * `TEST_AND_QUALITY_ASSURANCE`
    * `CYBER_SECURITY`
    * `INNOVATION_AND_DIGITAL_TRANSFORMATION`
    * `FINANCE`
    * `ACCOUNTING`
    * `INVESTOR_RELATIONS`
    * `REAL_ESTATE_FINANCE`
    * `FINANCIAL_RISK`
    * `ASSET_MANAGEMENT`
    * `SOURCING_AND_PROCUREMENT`
    * `TAX`
    * `TREASURY`
    * `BANKING`
    * `PAYROLL_COMPENSATION_AND_BENEFITS`
    * `DIVERSITY_EQUITY_INCLUSION`
    * `RECRUITMENT`
    * `LEARNING_AND_DEVELOPMENT`
    * `HUMAN_RESOURCES`
    * `COMPLIANCE`
    * `PRIVACY`
    * `INTELLECTUAL_PROPERTY`
    * `LEGAL`
    * `DIGITAL_MARKETING`
    * `BRAND_MANAGEMENT`
    * `CONTENT_MARKETING`
    * `LEAD_GENERATION`
    * `PUBLIC_RELATIONS`
    * `SEO_OPTIMIZTION`
    * `EVENTS`
    * `SPONSORSHIPS`
    * `MARKETING`
    * `CORPORATE_STRATEGY`
    * `CUSTOMER_SUPPORT`
    * `LOGISTICS`
    * `SUPPLY_CHAIN`
    * `FACILITY_AND_PROPERTY_MANAGEMENT`
    * `OFFICE_MANAGEMENT`
    * `SAFETY_AND_SECURITY`
    * `STORE_OPERATIONS`
    * `OPERATIONS`
    * `ADMINISTRATION`
    * `ACCOUNT_MANAGEMENT`
    * `BUSINESS_DEVELOPMENT`
    * `CHANNEL_SALES`
    * `CUSTOMER_SUCCESS`
    * `PARTNERSHIPS`
    * `SALES`
  </Accordion>
</ResponseField>

<ResponseField name="seniority" type="string[]">
  The available seniorities of the contact.<br />
  `seniority` is an array of the following values:

  <Accordion title="Available Seniorities">
    * `C_LEVEL`
    * `FOUNDER`
    * `OWNER`
    * `OFFICIAL_DIRECTOR`
    * `PARTNER`
    * `VP`
    * `DIRECTOR`
    * `SENIOR`
    * `MANAGER`
    * `ENTRY`
    * `INTERN`
    * `NON_MANAGEMENT`
  </Accordion>
</ResponseField>

<ResponseField name="email" type="object">
  <Expandable title="email properties">
    <ResponseField name="value" type="string">
      The contact's email address, or `null` when not available.
    </ResponseField>

    <ResponseField name="status" type="string">
      Status of the returned email address. One of:

      * `VALID`
      * `CATCHALL`
      * `NOT_FOUND`
      * `null` (when the email has not been enriched)
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="mobilePhone" type="object">
  <Expandable title="mobilePhone properties">
    <ResponseField name="value" type="string">
      Mobile phone in the following format: `+32 000 00 00 00`
    </ResponseField>

    <ResponseField name="dataProvider" type="string">
      The data provider of the mobile phone number.

      * `PROSPEO`
      * `CLEON1`
      * `FORAGER`
    </ResponseField>

    <ResponseField name="error" type="string">
      Possible errors when enriching the mobile phone number.

      * `INVALID_API_KEY`
      * `INSUFFICIENT_CREDITS`
      * `RATE_LIMITED`
      * `RATE_LIMITED_BURST`
      * `INTERNAL_ERROR`
      * `INVALID_INPUT`
      * `BILLING`
      * `FORBIDDEN`
      * `TIMEOUT`
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Response - 200 theme={null}
  [
    {
      "companyIdentifier": {
        "countryCode": "BE",
        "companyId": "770493071",
        "name": "Bizzy",
      },
      "contacts": [
        {
          "contactIdentifier": {
            "contactId": "1234567890",
            "firstName": "John",
            "lastName": "Doe"
          },
          "data": {
            "firstName": "John",
            "lastName": "Doe",
            "fullName": "John Doe",
            "linkedinUrl": "https://be.linkedin.com/in/john-doe",
            "jobTitle": "Software Engineer",
            "department": [
              "ENGINEERING"
            ],
            "seniority": [
              "NON_MANAGEMENT"
            ],
            "email": {
              "value": "info@bizzy.ai", // Example 
              "status": "VALID"
            },
            "mobilePhone": {
              "value": "+32 000 00 00 00", // Example
              "dataProvider": "PROSPEO",
              "error": null
            }
          },
          "message": null
        },
        {
          "contactIdentifier": {
            "contactId": "123", // Example error contact
          },
          "data": null,
          "message": "Contact not found"
        }
      ],
      "message": null
    },
    {
      "companyIdentifier": { // Example error company
        "countryCode": "BE",
        "companyId": "123",
        "name": ""
      },
      "contacts": null,
      "message": "Company not found"
    },
  ]
  ```
</ResponseExample>
